/*css reset*/
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  scroll-padding-top: 70px;
}

body{
  overflow-x: hidden;
}

/*navbar start*/
.nav-item{
  padding: 0 0 0 15px;
}

.navbar{
  font-family: 'Poppins', sans-serif;
  font-size: 15px;
}

.nav-item a:hover{
  border-bottom: 3px solid white;
}
/*navbar end*/


/*landing start*/
#landing{
  background: rgb(0,0,0);
  background: rgb(0,0,0,0.5);
  color:  white;
  opacity: 70%;
  height: 100vh;  
  background-image: url("./assets/images/landingbg.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.intro{
  font-family: 'Poppins', sans-serif;
  font-size: 5rem;
  margin-top: 12rem;
}

.myname{
  font-family: 'Pacifico', cursive;
  font-size: 150px;
}

.slogan{
  font-family: 'Poppins', sans-serif;
  font-size: 2rem;
  letter-spacing: 5px;
  font-weight: bold;
}

/*media query landing*/
@media (max-width: 400px){
  .intro{font-size: 2rem;}
  .myname{ font-size: 5rem;}
  .slogan{font-size: 1.2rem;}
}

@media (max-height: 700px){
  .intro{font-size: 2rem;}
  .myname{ font-size: 5rem;}
  .slogan{font-size: 1.2rem;}
}

@media (max-width: 1024px){
  .intro{font-size: 5rem;}
  .myname{ font-size: 10rem;}
  .slogan{font-size: 3rem;}
}

@media (max-height: 768px){
  .intro{font-size: 4rem;}
  .myname{ font-size: 5rem;}
  .slogan{font-size: 2.5rem;}

}

@media (max-height: 1024px){
  .intro{font-size: 4rem;}
  .myname{ font-size: 6rem;}
  .slogan{font-size: 1.5rem;}
}

@media (min-width: 1900px){
  .intro{font-size: 5rem;}
  .myname{ font-size: 10rem;}
  .slogan{font-size: 3rem;}
}

.proj-btn:hover{
  background-color:  grey;
  color: white;
}
/*landing end*/


/*about me start*/
/*media query about*/
@media (max-width: 600){
  #about{font-size: 1rem;}
  .aboutme-2{font-size: 0.6rem;}
  .aboutme-3{font-size: 0.6rem;}
  .corporate-name{font-size: 0.8rem;}
  .awards{
    font-size: 0.6rem;
    margin: auto;
  }
}

@media (max-width: 1370px){
    .aboutme-2{font-size: 0.9rem;}
    .aboutme-3{font-size: 0.9rem;}
    .awards{font-size: 0.9rem;}
    .displayphoto{width: 50%;}
}

@media (max-width: 2000px){
  .displayphoto{width: 55.5%;}
}

@media (max-width: 1100px){
  .displayphoto{width: 45%;}
  .aboutme-2, .project-2, .services-2, .card-text{font-size: 1rem;}
  .aboutme-3{font-size: 1rem;}
}

@media (min-height: 1366px){
  .aboutme-2, .project-2, .services-2, .card-text, .services-details{font-size: 1.5rem;}
  .aboutme-3{font-size: 1.5rem;}
}

#allabout{
  margin-top: 30px;
  margin-bottom: 30px;
/*  padding: 10px;*/
}

#about{
  padding: 30px 30px 0 30px;
}

div.aboutme > .row{
  margin-top: 10px;
}

.awards{
  list-style: none;
  padding-left: 0;
}

.displayphoto{
  margin: auto;
  border-radius: 50%;
  margin-top: 15px;
}

.corp-container{
  background-color: #F0E68C;
}

.award-photo{
  width: 100%;
}
/*about me end*/


/*projects start*/
/*media query projects*/
.card-title{font-weight: bold;}

@media (max-width: 600px){
  .card-text{
    width: 20rem;
    font-size: 0.6rem;
  }
  .card-img-top{
    width: 100%;
    height: auto;
  }
  .project-2{
    font-size: 0.6rem;
  }
  .card-title{
    font-size: 1rem;
  }
  .card-sub{
    font-size: 0.9rem;
  }
/*  .btn-view{
    font-size: 0.9rem;
  }*/
}

@media (max-width: 800px){
  .card{
    width: 14rem;
    font-size: 0.8rem;
  }
  .card-img-top{
    width: 20%;
    height: auto;
  }
  .card-text{
    display: none;
  }
}

@media (min-height: 1024px),(max-width: 800px){
  .card-text{
    display: none;
  }
}

/*@media (max-width: 1100px){
  .card-text{
    width: 16rem;
    font-size: 1rem;

}*/


#allprojects{
  padding: 30px 30px 30px 30px;
}

/*.card{
  width: 25rem;
}*/

.card-img-top{
  width: auto;
}
/*projects end*/


/*other services start*/
#services{
  padding: 30px 30px 30px 30px;
}

.container-services{
  position: relative;
}

.text {
  font-family: 'Poppins', sans-serif;
/*  text-align: center;*/
  margin-bottom: 4px;
  text-transform: uppercase;
  font-weight: bold;
}

.services-details{
  list-style: none;
  font-family: 'Poppins', sans-serif;
}

.services-details li:before{
  content: "\2022";
  color: yellow;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

@media (max-width: 700px),(max-width: 800px){
/*  .text{display: none;}*/
  .services-details{
    font-size: 0.8rem;
    display: none;
  }
  .text{font-size: 0.8rem}
}

@media (max-width: 400px){
  .services-img, .tools-img{
    width: 40%;
    height: auto;
  }
  .text{
    font-size: 0.7rem;
    display: flex;
/*    text-align: center;*/
  }
  .services-img, .tools-img{display: flex;}
  }
}
/*other services end*/



/*maintenance page start*/
.maintenance-img{
  margin-top: 20px;
  width: 500px;
  max-width: 100%;
  height: auto;
}

@media screen (max-width: 360px){
  .maintenance-img{
    width: 300px;
    height: auto;
  }
}

.backhome-btn:hover{
  background-color: grey;
  color: white;
}
/*maintenance page end*/


/*contact start*/
#contactme{
  background-color: #ffa64d;
}

textarea{
  resize: none;
}

.contact-details{
  font-family: 'Poppins', sans-serif;
  margin-right: 2px;
  margin-left: 2px;
  text-align: center;
}

.btn-submit{
  width: 100%;
  font-size: 1rem;
}
/*google map*/
.map-container{
  overflow: hidden;
  padding-bottom: 60%;
  height: 0;
}

.map-responsive iframe{
  top: 0;
  left: 0;
  height: 100;
  width: 100%;
}
/*contact end*/


/*pre-footer start*/
.pre-footer-icon{
  width: 3%;
}

@media (max-width: 1100px){
  .pre-footer-icon{width: 6%;}
}

@media (max-height: 800px){
  .pre-footer-icon{width: 4%;}
}

.pre-foorter{
  text-align: center;
}
/*pre-footer end*/


/*footer start*/
footer{
  font-family: 'Poppins', sans-serif;
  text-align: center;
  bottom: 10px;
  width: 100%;
}
/*footer end*/


/*multi declaration*/
.aboutintro, .projectintro, .allservs, .service-intro, .tools-intro{
    font-family: 'Pacifico', cursive;
}

.aboutme-2, .project-2, .connect, .services-2, .footer-summary{
  font-family: 'Poppins', sans-serif;
}

/*div.aboutme > .row > .col-12 > .aboutme-2{
  font-family: 'Poppins', sans-serif;
}*/

.aboutme-3, #projects{
   font-family: 'Poppins', sans-serif;
   text-align: justify; 
}

.about-me-merge{
  padding-left: 3rem;
  padding-right: 3rem;
}


/*-----------------------------*/
@media (max-width: 400px){
/*landing*/
  .intro{font-size: 2rem; margin-top: 7rem;}
  .myname{ font-size: 4rem;}
  .slogan{font-size: 1.2rem;}

/*about*/
  #about{font-size: 1rem;}
  .displayphoto{width: 80%;}
  .aboutme-2{font-size: 0.7rem;}
  .aboutme-3{font-size: 0.7rem;}
  .award-photo{width: 100%;}
  .about-me-merge{padding-right: 10px; padding-left: 10px;}
  .corp-row{display: flex; flex-direction: row;}
  .corp-row > div{width: 50%; text-align: center;}

/*projects*/
  .project-2{font-size: 0.7rem}
  .card{width: 17rem; font-size: 0.7rem; margin-left: 0;}
  .card-img-top{width: 50%; height: auto;}
  .card{display: flex; flex-direction: row;}
  .card-title{font-size: 0.8rem;}
  .card-sub{font-size: 0.7rem;}
  .btn-view{font-size: 0.7rem;}

/*services*/
  .services-2{font-size: 0.7rem;}
  .container-services{display: flex; flex-direction: row-reverse;*/ align-content: center; margin:auto;}
  .services-img, .tools-img{width: 40%; height: auto; padding-top: 20px;}
  .text{margin: auto;}

/*pre-footer*/
  .pre-footer-icon{width: 10%;}
  footer{font-size: 0.8rem;}
}

@media (min-width: 400px){
  .class-footer{display: none;}
}

@media (max-width: 400px){
  .class-footer-2s5{display: none;}
}

.project-card {
  align-self: center;
}

.tools-img { 
  flex-shrink: 0;
}

@media (max-width: 1024px), (min-width: 800px) {
  .tools-img {
    width: 15%;
  }
}

@media (max-width:  799px) {
  .tools-img {
    width:  15%;
  }
}